QGIS Application - Feature request #17715
World file: x-scale and y-scale should be rounded
2017-12-18 01:32 PM - Vedran Stojnovic

Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 25611
Description

| created a vector grid with A4 paper dimensions - for scale 1:1000 (297*210) in local TM projection (in meters). After that | created print
composer set to A4 paper size and created an atlas, and set map properties to be at 1000 scale with fixed scale option checked in
"Controlled by atlas" feature. After exporting atlas as images with world files | got this result:
From world file it now seems that picture has different x and y scale, which is not true. The difference is very very small (0.084677419441
- 0.084687767409 = -0.000010347968). Units are meters so this value should be rounded to significant number of decimal places. For
coordinate system in meters - millimeters should be enough. Result should be something like this:
Some other softwares (ACAD Raster Design for example) recognizes this as image with different scales in x and y direction and cannot do
any operation on it because of that.

History
#1 - 2018-08-25 03:11 PM - Giovanni Manghi
- Priority changed from Low to Normal
- Category changed from Rasters to Map Composer/Printing
- Subject changed from World file - x-scale and y-scale should be rounded to World file: x-scale and y-scale should be rounded
- Tracker changed from Bug report to Feature request
